Page MenuHomePhabricator

Allow manual insertion of soft hyphen in display title
Open, LowPublic

Description

The article [[de:Lopadotemachoselachogaleokranioleipsanodrimhypotrimmatosilphioparaomelitokatakechymenokichlepikossyphophattoperisteralektryonoptekephalliokigklopeleiolagoiosiraiobaphetraganopterygon]] has a very long title which is not displayable without line breaks. Inserting soft hyphens (­) into the title generates a different URL: https://de.wikipedia.org/wiki/Lopado%C2%ADtemacho%C2%ADselacho%C2%ADgaleo%C2%ADkranio%C2%ADleipsano%C2%ADdrim%C2%ADhypo%C2%ADtrimmato%C2%ADsilphio%C2%ADparao%C2%ADmelito%C2%ADkatakechy%C2%ADmeno%C2%ADkichl%C2%ADepi%C2%ADkossypho%C2%ADphatto%C2%ADperister%C2%ADalektryon%C2%ADopte%C2%ADkephallio%C2%ADkigklo%C2%ADpeleio%C2%ADlagoio%C2%ADsiraio%C2%ADbaphe%C2%ADtragano%C2%ADpterygon

It would be nice to allow inserting soft hyphens into the display title without changing the title:

{{DISPLAYTITLE:Lopado­temacho­selacho­galeo­kranio­leipsano­drim­hypo­trimmato­silphio­parao­melito­katakechy­meno­kichl­epi­kossypho­phatto­perister­alektryon­opte­kephallio­kigklo­peleio­lagoio­siraio­baphe­tragano­pterygon}}

At the moment is it only possible to insert <wbr>:

{{DISPLAYTITLE:Lopado<wbr>temacho<wbr>selacho<wbr>galeo<wbr>kranio<wbr>leipsano<wbr>drim<wbr>hypo<wbr>trimmato<wbr>silphio<wbr>parao<wbr>melito<wbr>katakechy<wbr>meno<wbr>kichl<wbr>epi<wbr>kossypho<wbr>phatto<wbr>perister<wbr>alektryon<wbr>opte<wbr>kephallio<wbr>kigklo<wbr>peleio<wbr>lagoio<wbr>siraio<wbr>baphe<wbr>tragano<wbr>pterygon}}


Version: 1.23.0
Severity: enhancement

Details

Reference
bz64528
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:10 AM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz64528.
bzimport added a subscriber: Unknown Object (MLST).
Fomafix created this task.Apr 28 2014, 6:33 AM

Change 271000 had a related patch set uploaded (by Gerrit Patch Uploader):
CoreParserFunctions: Allow soft hyphens in DISPLAYTITLE

https://gerrit.wikimedia.org/r/271000

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2016, 5:38 PM
Fomafix claimed this task.Feb 16 2016, 5:38 PM

When the displaytitle gets used for displaying at all places (like suggested by T26139: Use display title from page_props as the displayed title everywhere (tracking) and subtasks) then also special pages or categories can get a benefit of the soft hyphens in the displaytitle.

Change 393381 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Strip soft hyphens (U 00AD) from title

https://gerrit.wikimedia.org/r/393381

Change 271000 abandoned by Fomafix:
CoreParserFunctions: Allow soft hyphens in DISPLAYTITLE

Reason:
Superseded by https://gerrit.wikimedia.org/r/393381 The stripping of the soft hyphens already allows to insert the characters into the displaytitle.

https://gerrit.wikimedia.org/r/271000

After that patch is merged and deployed (assuming nothing comes up to prevent that), these changes on the English Wikipedia can be undone. (Noting this here since there's no guarantee I'll notice when this is deployed; feel free to ping me to have me undo the edits myself.)

Change 393381 merged by jenkins-bot:
[mediawiki/core@master] Strip soft hyphens (U+00AD) from title

https://gerrit.wikimedia.org/r/393381

matmarex closed this task as Resolved.May 25 2018, 12:19 AM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

This is done for MediaWiki. The patch should be deployed to all Wikimedia wikis on Monday (wmf.5 has been delayed due to unrelated problems).

matmarex reopened this task as Open.Jun 2 2018, 9:10 AM

Unfortunately we reverted the change due to problems with WMF deployment :( Turns out the maintenance script is not great. T195546

Change 493162 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Strip characters from title

https://gerrit.wikimedia.org/r/493162

Change 493162 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Strip characters from title

https://gerrit.wikimedia.org/r/493162

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 28 2019, 9:11 AM